#pragma once

#include <Text.h>
#include <TextFeld.h>

class ChatMessage : public Framework::TextFeld
{
private:
    Framework::Text message;
    Framework::Text channel;
    Framework::Text target;
    int lastWidth;

public:
    ChatMessage(char* data);
    
    bool tick(double tickVal) override;
};